Laravel Passport createToken error (DateTimeImmutable)

when I try to upgrade laravel 6 to laravel 7.

I experience the error below:

enter image description here

Then when I have tried to downgrade again, the error still appears. Whereas previously there was no such error. If I traced the error occurred at createToken().

Please help.

1 answer

  • answered 2020-11-25 17:34 Basem Elsayed

    i solved it by downgrade version of this package 'lcobucci/jwt',

    composer require lcobucci/jwt "3.3.x"